Are there up-to-date build directions?

Its been a really long time since I build the plugin from source. Last time I found that the instructions were missing lots of steps (eg, dependencies on the javascript plugin). This time I'm hitting all kinds of missing jars (eg, javascript, css, jndi, javax.lang).

I'm following the instruction at http://www.jetbrains.net/confluence/display/GRVY/How+to+build+plugin.

Are there a more accurate instructions?

thanks

7 comments

Instructions are upgraded now, thank you for reminding!

0

Hang on, I was using 8.0.1 not 8.1 EAP....

---
Thanks Peter. But I'm still seeing some compilation problems.

  • GroovyAntCustomCompilerProvider cannot find its base class ChunkCustomCompilerExtension
  • BaseInspection.checkFile has an error for 'new ProblemsHolder(inspectionManager, psiFile)'


This is based on an update just minutes before this post.

0

Thanks Peter. But I'm still seeing some compilation problems.

  • GroovyAntCustomCompilerProvider cannot find its base class ChunkCustomCompilerExtension

  • BaseInspection.checkFile has an error for 'new ProblemsHolder(inspectionManager, psiFile)'


Unfortunately these changes have been done to IDEA very recently (the
first one - today), so you'll have to wait for some 8.1 EAP for them to
compile or checkout an earlier version (before December 8th, I suppose).

0

Is there a version of the plugin that supports grails 1.1 that I can build against 9540?

0

Is there a version of the plugin that supports grails 1.1 that I can build against 9540?


Anything committed 8.12.08 between #21538 (Grails 1.1 fix) and #21544
(compilation break). Or just take any compiling version and combine it
with latest GrailsConfigUtils. Good luck!

0

I got a clean build with 21538, the revision with the grails 1.1 fix. And that seems to be the very latest that builds against 9540, so I guess I just made it!

thanks!

0

Thanks to your tips, I was able to build a version of the plugin that works with grails 1.1 beta2 and IntelliJ 8.0.1 build 9164.  See details and get the file from http://www.mjwall.com/2009/01/groovy-plugin-patch-for-running-grails-11-beta2-on-intellij-801/

0

Please sign in to leave a comment.